Get Property User API
Retrieve an access by its identifier.
Authorizations
user-api-keystringRequired
API key for programmatic access, sent in the user-api-key header.
Path parameters
idstring · uuidRequiredExample:
716305c4-561a-4561-a187-7f5b8aeb5920Responses
200
The request has succeeded.
application/json
JSON:API document wrapping a single resource.
401
Authentication credentials are missing or invalid.
application/json
403
The authenticated user lacks permission to perform this action.
application/json
404
The requested resource does not exist.
application/json
422
The request has missing or invalid arguments; details lists the messages per argument.
application/json
get/property_users/{id}
GET /api/v1/property_users/{id} HTTP/1.1
Host: app.channex.io
user-api-key: YOUR_API_KEY
Accept: */*
{
"data": {
"type": "property_user",
"id": "716305c4-561a-4561-a187-7f5b8aeb5920",
"attributes": {
"id": "776533f2-c10e-49d8-bddc-14b3e27c2a00",
"user_id": "c9cfa184-5095-4ef2-bbe2-e723ffb49184",
"property_id": "52397a6e-c330-44f4-a293-47042d3a3607",
"role": "owner",
"overrides": {}
},
"relationships": {
"property": {
"data": {
"id": "716305c4-561a-4561-a187-7f5b8aeb5920",
"type": "property"
}
},
"user": {
"data": {
"type": "user",
"id": "716305c4-561a-4561-a187-7f5b8aeb5920",
"attributes": {
"id": "716305c4-561a-4561-a187-7f5b8aeb5920",
"name": "Channex User",
"email": "user@channex.io"
}
}
}
}
}
}Last updated